| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.StfFile Class Reference

Class for reading/writing Swath Template Files. More...

Inheritance diagram for EECFI.StfFile:

List of all members.

## Public Member Functions
| StfFile ()
| Constructor.
| StfFile (String fileNam)
| Constructor with file name.
native void | readVhr ()
| Read the STF variable header.
native void | read () throws CfiError
| Read the whole file data block.
native void | write (String fileName, FixedHeader fixedHead, StfVhr stfVhr, Vector< StfRec > stfData) throws CfiError
| Write STF file with a given name.
native void | write (FixedHeader fixedHead, StfVhr stfVhr, Vector< StfRec > stfData) throws CfiError
| Write STF file with the file name stored in the object.
## Public Attributes
Vector< StfRec > | stfRec
| Vector of swath points.
StfVhr | vhr
| Variable header data.

## Detailed Description

Class for reading/writing Swath Template Files.

## Constructor & Destructor Documentation

EECFI.StfFile.StfFile | ( |  | ) |

Constructor.

EECFI.StfFile.StfFile | ( | String | fileNam | ) |

Constructor with file name.

## Member Function Documentation

native void EECFI.StfFile.read | ( |  | ) | throws CfiError

Read the whole file data block.

native void EECFI.StfFile.readVhr | ( |  | ) |

Read the STF variable header.

void EECFI.StfFile::write | ( | FixedHeader | fixedHead,
|  | StfVhr | stfVhr,
|  | Vector< StfRec > | stfData |
| ) |  |  | throws CfiError

Write STF file with the file name stored in the object.

Parameters:

  | fixedHead | Values of the fixed header.
  | stfVhr | STF variable header values.
  | stfData | Vector of swath points.

void EECFI.StfFile::write | ( | String | fileName,
|  | FixedHeader | fixedHead,
|  | StfVhr | stfVhr,
|  | Vector< StfRec > | stfData |
| ) |  |  | throws CfiError

Write STF file with a given name.

Parameters:

  | fileName | Name of the file to write.
  | fixedHead | Values of the fixed header.
  | stfVhr | STF variable header values.
  | stfData | Vector of swath points.

## Member Data Documentation

Vector<StfRec> EECFI.StfFile.stfRec

Vector of swath points.

StfVhr EECFI.StfFile.vhr

Variable header data.